--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Initializes the relationship, always using max cardinality of 1.
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Associations::ManyToOne::Relationship::new
is_singleton: true
name: new
params: (name, source_model, target_model, options = {})
visibility: public
